> For the complete documentation index, see [llms.txt](https://docs.valtimo.nl/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.valtimo.nl/v12/features/forms/configure-object-form.md).

# Objecten API object form

In order to display objects from the Objecten API a form can be used to define the way the data is shown. This form will be used when opening the details of an object from the [case detail tabs for an object type](/v12/features/zgw/configure-tab-object-type.md).

Which form is used to display an object is determined based on the name of the form. The name of the form needs to be the name of the objecttype followed by the `.editform` suffix. For example, to create a form to display objects of type 'Monument' the form name would need to be `Monument.editform`. The form name is case-insensitive.

When adding fields to the form the field do **not** need to use the `zaakobject` prefix, as opposed to [editing zaak objects in a task form](/v12/features/forms/creating-forms-in-valtimo.md#external-data-types). The object data is the root used to prefill the form. This means that when an object contains the data shown below, the 'title' property can be used in the form by just using `title` as the 'Property Name' of the field.

```json
{
    "title": "Example data",
    ...
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.valtimo.nl/v12/features/forms/configure-object-form.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
